package jalview.datamodel.annotations;

import jalview.datamodel.Annotation;
import jalview.structure.StructureImportSettings;

public class AlphaFoldAnnotationRowBuilder extends AnnotationRowBuilder
{
  public static final String LABEL = "Alphafold Reliability";

  public AlphaFoldAnnotationRowBuilder()
  {
    super(LABEL);
    min = 0;
    max = 100;
    hasMinMax = true;
    this.setTFType(StructureImportSettings.TFType.PLDDT);
  }

  @Override
  public void processAnnotation(Annotation annotation)
  {
    AnnotationColouringI ac = new AnnotationColouringPLDDT();
    annotation.setAnnotationColouring(ac);
    annotation.colour = ac.valueToColour(annotation.value);
  }

}